# vim: set ft=spec: -*- rpm-spec -*-
# $Id: find-tags,v 1.2 2005/10/04 08:44:24 raorn Exp $

Name: find-tags
Version: 0.0.1
Release: alt1

Summary: Shared tags finder
Group: Development/Other
License: GPL

Provides: %_datadir/tags

Requires: ctags >= 5.5.4-alt1.1
PreReq: %_sysconfdir/rpm/macros.d

BuildArch: noarch

BuildRequires: vim-devel

Source: %name.tar.bz2
Source1: README.ALT-ru_RU.KOI8-R

%description
%name - small utility for generating shared tags
in ctags format.

%package -n vim-plugin-shared_tags
Summary: Vim plugin for using shared tags
Group: Development/Other
Requires: %name = %version-%release

%description -n vim-plugin-shared_tags
Vim plugin for using shared tags from %_datadir/tags/$filetype/*.tags

To enable this plugin define "use_shared_tags" variable somewhere
in your .vimrc file.

%prep
%setup -q -n %name
%__cp -p %SOURCE1 .

%install
%__mkdir_p %buildroot{%_sysconfdir/{%name/lang,rpm/macros.d},%_bindir,%_datadir/tags,%vim_plugin_dir}

%__install -p -m644 etc/%name.conf %buildroot%_sysconfdir/%name/%name.conf
%__install -p -m755 %name %buildroot%_bindir/%name

for f in etc/lang/*.conf; do
  l=${f%.conf}
  l=${l##*/}
  %__mkdir_p "%buildroot%_datadir/tags/$l"
  %__install "$f" "%buildroot%_sysconfdir/%name/lang/$l.conf"
done

%__cat <<EOF >%buildroot%_sysconfdir/rpm/macros.d/%name
%%__find_tags_bin	%_bindir/%name
%%find_tags		%%__find_tags_bin

%%_tagsdir		%_datadir/tags
EOF

%__install -p -m644 shared_tags.vim %buildroot%vim_plugin_dir/shared_tags.vim

%files
%doc README.ALT-ru_RU.KOI8-R
%config %_sysconfdir/%name
%config %_sysconfdir/rpm/macros.d/%name
%_bindir/%name
%_datadir/tags

%files -n vim-plugin-shared_tags
%vim_plugin_dir/shared_tags.vim

%changelog
* Tue Oct 04 2005 Sir Raorn <raorn@altlinux.ru> 0.0.1-alt1
- Built for Sisyphus


